
QGIS Application - Bug report #4641

Colours are incorrect in exported PDF

2011-12-13 09:10 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14542

Description

When I export to image or svg, or use an external "pdf printer", the colours in the resulting file match those in QGIS.

When I use the built-in PDF export, the colours are incorrect.  It looks like it is trying to do some sort of colourspace conversion and getting

confused.

I guess this might be a problem with a dependency such as QT, but I'm pretty sure it did not happen in the past (maybe a year ago?).  I

have only tested on Windows.

See the attached files.

History

#1 - 2011-12-13 09:28 PM - Alister Hood

- File test_pdf.jpg added

The pdf is too big to upload, so here is a screenshot

#2 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-07-13 08:34 AM - Alister Hood

Interestingly, in the samples I attached here, the PDF colours weren't as bright as they should have been.

I've just realised that on Linux with current master if I export a PDF "as raster" then the colours are the same as the original, but if I export a PDF with "as

raster" unselected then the colours are brighter than the original.  So it seems like the opposite problem.  I guess now I need to check what the current

behaviour is on Windows...

#5 - 2012-07-16 03:05 PM - Alister Hood

- Operating System deleted (Windows)

Alister Hood wrote:
Interestingly, in the samples I attached here, the PDF colours weren't as bright as they should have been.

I've just realised that on Linux with current master if I export a PDF "as raster" then the colours are the same as the original, but if I export a PDF with

"as raster" unselected then the colours are brighter than the original.  So it seems like the opposite problem.  I guess now I need to check what the

current behaviour is on Windows...

Ah. Whether it seems brighter or darker depends on the actual colours used and the monitor settings and stuff.

Anyway, checking with the same colours, the problem is exactly the same on Windows and Linux.  When exported to PDF as raster the colours look the

same as in QGIS on screen, and as when printed to a virtual PDF printer (i.e. test.jpg).  When exported to PDF as vector the colours are different (i.e.

test_pdf.jpg).

#6 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-10-20 07:28 PM - Alister Hood

OK, this is the current behaviour:

Linux:

- colours are incorrect (at least for transparent raster layers), when printing or exporting to PDF with "print as raster" disabled.

- colours are correct if "print as raster" is enabled

Windows:

- colours are correct, but the part of the composer that includes any pdf layers is rasterised, even if "print as raster" is disabled.  (I guess if it wasn't

rasterised the colours would probably be wrong on Windows as well...)

#8 - 2012-12-12 05:24 PM - Alister Hood

Alister Hood wrote:

OK, this is the current behaviour:

Linux:

- colours are incorrect (at least for transparent raster layers), when printing or exporting to PDF with "print as raster" disabled.

- colours are correct if "print as raster" is enabled

Windows:

- colours are correct, but the part of the composer that includes any pdf layers is rasterised, even if "print as raster" is disabled.  (I guess if it wasn't

rasterised the colours would probably be wrong on Windows as well...)

Ummm.  That last point doesn't make sense - I think I probably meant "any raster layers", not "any pdf layers".  But I guess that is a separate problem.

#9 - 2012-12-12 05:28 PM - Alister Hood

Windows: - colours are correct

On Windows with a recent Master I'm getting incorrect colours when the layout contains a map with an overview frame with a semi-transparent "simple fill"
overview style.  If I make the overview frame opaque then I get the correct colours.  I guess the same problem would probably occur if a map layer or

something else was sem-transparent...

#10 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#11 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#12 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#13 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

test.jpg 2.38 MB 2011-12-13 Alister Hood

test_pdf.jpg 214 KB 2011-12-13 Alister Hood
